import {Pipe, PipeTransform} from '@angular/core';

@Pipe({
  name: 'excludeById',
})
export class ExcludeByIdPipe implements PipeTransform {
  transform(values: any[] | null, id: string): any[] | null {
    if (!values) {
      return values;
    }
    return values.filter(value => value.id != id);
  }
}