import { Component, inject, input, Input } from '@angular/core';
import { FilterItemComponent } from '../filter-item/filter-item.component';
import { Filter } from '../../shared/models/filter';
import { HermesClientService } from '../../hermes-client.service';

@Component({
  selector: 'tts-filter-list',
  standalone: true,
  imports: [FilterItemComponent],
  templateUrl: './filter-list.component.html',
  styleUrl: './filter-list.component.scss'
})
export class FilterListComponent {
  private readonly client = inject(HermesClientService);

  filters = input.required<Filter[]>();
}